Subject: Re: [urn] 2141bis questions - (6) NID syntax for informal namespaces

From: Juha Hakala <[email-masked]>
Date: Mon, 05 Jan 2015 13:31:57 +0200

Hello,

I am in favour of John's Option 1, since IMO it makes our lives easier 
in the future, and does not create problems with the informal NIDs 
already approved.

Juha

On 25.12.2014 8:09, John C Klensin wrote:
> Section 6.2 specifies the syntax of NIDs for Informal
> Namespaces, but it lacks specificity in one area, which is
> whether numbers with leading zeros are permitted and, if they
> are, whether NIDs with leading zeros are considered equivalent
> to those with the same numeric values with the leading zeros
> removed.  I suggest we pick one of two options and document it
> more or less as described below.
>
> By the way, the syntax of an NID for an informal namespace is
> not the syntax of the namespace.    Equally important, the
> syntax snippet isn't ABNF, ABNF is not referenced, and there is
> no production for "<number>".  Those are editorial issues that
> will have to be fixed in any event.
>
> Option 1: Leading zeros forbidden.  Remove the present format
> snippet and replace
>
> Old:
>
> 	Thus the syntax of an informal namespace is:
> 	
> 	       "urn-" <number>
>
> New:
> 	The syntax for the NID of an informal namespace is:
> 	
>         InformalNamespaceNID = "urn-" Digit19 [ *Digit09]
>         Digit19 = "1" / "2" / "3" / "4" / "5" / "6" / "7" / "8" /
> "9"
>         Digit09 = "0" / Digit19
>
>
> Option 2: Leading zeros forbidden but equivalent to the NID if
> they are
> stripped.
>
> Add, after the sentence starting "The only restrictions..." (and
> after fixing "syntax of an informal namespace" and "<number>"),
> something like:
>
> While IANA may choose to assign NIDs with leading zeros
> following "urn-", a URN containing, for example, an NID of
> "urn-007" would not be equivalent  under the matching rules of
> this specification and RFC 3986 to one containing and NID of
> "urn-7" so IANA should use care to avoid creating confusion.
>
>
> I think Option 1 is probably easier and simpler.  A hypothetic
> third option in which an NID with leading zeros in the number is
> equivalent to one with them stripped leads, I think, to madness
> despite its numerical obviousness.
>
>    john
>
> _______________________________________________
> urn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/urn

-- 

  Juha Hakala
  Senior advisor

  The National Library of Finland
  Library Network Services
  P.O.Box 26 (Teollisuuskatu 23)
  FIN-00014 Helsinki University
  Tel. +358 9 191 44293
  Mobile +358 50 3827678

---

From: "Martin J. Dürst" <[email-masked]>
Date: Tue, 06 Jan 2015 15:16:32 +0900

I agree, leading zeroes should be forbidden. Except for the ABNF itself, 
it's much simpler.

Regards,   Martin.

---

From: John C Klensin <[email-masked]>
Date: Wed, 21 Jan 2015 12:08:59 -0500

--On Monday, January 05, 2015 13:31 +0200 Juha Hakala
<[email-masked]> wrote:

> I am in favour of John's Option 1, since IMO it makes our
> lives easier in the future, and does not create problems with
> the informal NIDs already approved.

Per your comments and Martin's, and with no other comments
received, the ABNF for numeric NIDs (Informal Namespaces) has
been modified in the working version that will become -09 to
disallow leading zeros.

If anyone wants to make a case _for_ leading zeros, this would
be a good time to speak up.

    john

---

From: Peter Saint-Andre - &yet <[email-masked]>
Date: Sat, 24 Jan 2015 20:07:43 -0700

> been modified in the working version that will become -09 to

For the record, I concur with this decision.

Peter

-- 
Peter Saint-Andre
https://andyet.com/